Bug 2129478 - Help in flatpak build is broken: shows Document Not Found
Summary: Help in flatpak build is broken: shows Document Not Found
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-contacts
Version: 36
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kalev Lember
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: openqa
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-09-23 23:15 UTC by Adam Williamson
Modified: 2023-03-05 01:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-03-05 01:08:46 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Adam Williamson 2022-09-23 23:15:49 UTC
This bug is for the Fedora flatpak build of gnome-contacts. In that build, Help is broken; on opening help you see a screen that says "Document Not Found", then "The URI 'help:gnome-help/contacts' does not point to a valid page."

Comment 1 Adam Williamson 2022-11-03 17:29:24 UTC
This is the *only* openQA test that fails on the F37 Final RC-1.6 compose :D

Comment 2 Lukas Ruzicka 2023-02-28 10:10:30 UTC
This is still happening on Fedora Silverblue 38.

Comment 3 Niels De Graef 2023-03-02 11:26:36 UTC
If someone is encountering this on a non-flatpak build, it should be enough to install yelp (as that is the help viewer app) and gnome-user-docs (as that contains the general GNOME documentation, which includes Contacts).

So I guess the problem from a flatpak point of view is that we don't have either in the runtime available

Comment 4 Kalev Lember 2023-03-02 11:35:02 UTC
Oh, that explains things - gnome-user-docs is indeed missing from the runtime. Let me add it now. Thanks, Niels!

Comment 6 Fedora Update System 2023-03-02 14:33:30 UTC
FEDORA-FLATPAK-2023-e69c75a57e has been submitted as an update to Fedora 37 Flatpaks. https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2023-e69c75a57e

Comment 7 Adam Williamson 2023-03-02 17:43:39 UTC
Note, this will probably *also* be affected by https://github.com/fedora-silverblue/issue-tracker/issues/305 when running on F38/Rawhide, so we still won't see the help there.

Comment 8 Fedora Update System 2023-03-03 02:57:48 UTC
FEDORA-FLATPAK-2023-e69c75a57e has been pushed to the Fedora 37 Flatpaks testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-FLATPAK-2023-e69c75a57e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-03-05 01:08:46 UTC
FEDORA-FLATPAK-2023-e69c75a57e has been pushed to the Fedora 37 Flatpaks stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.